<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginStart="30dp"
        android:layout_marginEnd="30dp"
        android:background="@drawable/shape_white_20"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivBg"
            android:background="@drawable/shape_9ffd88_6ef2df_top_20"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_width="match_parent"
            android:layout_height="125dp"/>

        <ImageView
            android:id="@+id/ivReport"
            android:src="@mipmap/icon_report"
            app:layout_constraintTop_toTopOf="@+id/tvName"
            app:layout_constraintEnd_toStartOf="@+id/ivMore"
            android:layout_marginEnd="10dp"
            android:layout_width="20dp"
            android:layout_height="20dp"/>

        <ImageView
            android:id="@+id/ivMore"
            android:src="@mipmap/icon_more"
            android:visibility="visible"
            app:layout_constraintTop_toTopOf="@+id/tvName"
            android:layout_marginEnd="10dp"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_width="20dp"
            android:layout_height="20dp"/>

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/ivAvatar"
            android:layout_marginStart="20dp"
            android:layout_marginTop="20dp"
            android:src="@mipmap/default_avatar"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_width="50dp"
            android:layout_height="50dp"/>

        <ImageView
            android:id="@+id/ivOnLive"
            android:src="@mipmap/onlive"
            android:visibility="gone"
            app:layout_constraintStart_toStartOf="@+id/ivAvatar"
            app:layout_constraintTop_toTopOf="@+id/ivAvatar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>


        <TextView
            android:id="@+id/tvName"
            android:textSize="18dp"
            android:textColor="#000"
            tools:text="Swago"
            android:maxLines="1"
            android:maxWidth="200dp"
            android:layout_marginStart="20dp"
            app:layout_constraintStart_toEndOf="@+id/ivAvatar"
            app:layout_constraintTop_toTopOf="@+id/ivAvatar"
            android:layout_marginTop="2dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <com.swago.baseswago.cusview.SwagoLevelView
            android:id="@+id/tvLevelView"
            app:layout_constraintStart_toEndOf="@+id/tvName"
            app:layout_constraintTop_toTopOf="@+id/tvName"
            app:layout_constraintBottom_toBottomOf="@+id/tvName"
            android:layout_marginStart="7dp"
            android:layout_marginTop="5dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <ImageView
            android:id="@+id/ivVip"
            android:src="@mipmap/vip"
            app:layout_constraintStart_toEndOf="@+id/tvLevelView"
            android:layout_marginStart="5dp"
            android:layout_marginBottom="2dp"
            tools:visibility="visible"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/tvName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>


        <ImageView
            android:id="@+id/ivSex"
            app:layout_constraintEnd_toEndOf="@+id/ivAvatar"
            app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
            android:layout_marginTop="5dp"
            android:src="@mipmap/info_female"
            android:layout_marginStart="10dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>


        <TextView
            android:id="@+id/tvAccount"
            app:layout_constraintStart_toEndOf="@+id/ivAvatar"
            app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
            android:layout_marginBottom="2dp"
            android:layout_marginStart="20dp"
            tools:text="ID:1323332"
            android:textSize="12dp"
            android:textColor="#868686"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>


        <androidx.constraintlayout.widget.ConstraintLayout
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginTop="85dp"
            android:background="@drawable/shape_white_20"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">


            <TextView
                android:id="@+id/tvSign"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:layout_margin="20dp"
                android:layout_width="0dp"
                android:textSize="12dp"
                android:textColor="#868686"
                tools:text="胜多负少的说法顺丰到付发送方发的发多少   是的的都是发送都是 都是"
                android:layout_height="wrap_content"/>


            <LinearLayout
                android:id="@+id/llFollow"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tvSign"
                android:layout_marginStart="20dp"
                android:layout_marginBottom="40dp"
                android:layout_marginTop="20dp"
                android:orientation="horizontal"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/tvFollowNum"
                    android:textSize="24dp"
                    android:textColor="#000"
                    tools:text="24"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

                <TextView
                    android:textColor="#868686"
                    android:textSize="12dp"
                    android:layout_marginStart="5dp"
                    android:text="@string/follow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

            </LinearLayout>


            <LinearLayout
                android:id="@+id/llFans"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tvSign"
                android:layout_marginTop="20dp"
                android:layout_marginStart="120dp"
                android:layout_marginBottom="40dp"
                android:orientation="horizontal"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/tvFansNum"
                    android:textSize="24dp"
                    android:textColor="#000"
                    tools:text="24"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

                <TextView
                    android:textColor="#868686"
                    android:textSize="12dp"
                    android:layout_marginStart="5dp"
                    android:text="@string/fans"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

            </LinearLayout>


            <ImageView
                android:id="@+id/ivFollow"
                android:src="@mipmap/follow"
                app:layout_constraintEnd_toEndOf="parent"
                android:layout_marginEnd="20dp"
                app:layout_constraintTop_toTopOf="@+id/llFans"
                app:layout_constraintBottom_toBottomOf="@+id/llFans"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>


            <LinearLayout
                android:id="@+id/llChat"
                android:layout_marginTop="30dp"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/shape_black_5"
                app:layout_constraintTop_toBottomOf="@+id/llFans"
                android:gravity="center"
                android:layout_width="match_parent"
                android:layout_height="44dp">

                <ImageView
                    android:src="@mipmap/chat"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

            </LinearLayout>


            <LinearLayout
                android:id="@+id/llBlock"
                android:layout_marginTop="10dp"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/shape_dadada_5"
                app:layout_constraintTop_toBottomOf="@+id/llChat"
                app:layout_constraintBottom_toBottomOf="parent"
                android:layout_marginBottom="20dp"
                android:gravity="center"
                android:layout_width="match_parent"
                android:layout_height="44dp">

                <ImageView
                    android:src="@mipmap/block"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
            </LinearLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>




</androidx.constraintlayout.widget.ConstraintLayout>